Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class WrappedDataHandler

    java.lang.Object
      javax.activation.DataHandler
          org.apache.axis2.util.WrappedDataHandler

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

    public class WrappedDataHandler

extends javax.activation.DataHandler

This class acts as a wrapper for the javax.activation.DataHandler class. It is used to store away a (potentially) user-defined content-type value along with the DataHandler instance. We'll delegate all method calls except for getContentType() to the real DataHandler instance.

Constructor Summary
`WrappedDataHandler(javax.activation.DataHandler _delegate, java.lang.String _contentType)` Constructs a new instance of the WrappedDataHandler.

Method Summary
`javax.activation.CommandInfo[]` | `getAllCommands()`
`java.lang.Object` | `getBean(javax.activation.CommandInfo paramCommandInfo)`
`javax.activation.CommandInfo` | `getCommand(java.lang.String paramString)`
`java.lang.Object` | `getContent()`
`java.lang.String` | `getContentType()`
`javax.activation.DataSource` | `getDataSource()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`
`javax.activation.CommandInfo[]` | `getPreferredCommands()`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor paramDataFlavor)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor paramDataFlavor)`
`void` | `setCommandMap(javax.activation.CommandMap paramCommandMap)`
`void` | `writeTo(java.io.OutputStream paramOutputStream)`

Methods inherited from class javax.activation.DataHandler
`setDataContentHandlerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedDataHandler

    public WrappedDataHandler(javax.activation.DataHandler _delegate,
                              java.lang.String _contentType)

  Constructs a new instance of the WrappedDataHandler.

  Parameters:
    `_delegate` - the real DataHandler instance being wrapped
    `_contentType` - the user-defined contentType associated with the DataHandler instance

Method Detail

### getAllCommands

    public javax.activation.CommandInfo[] getAllCommands()

  Overrides:
    `getAllCommands` in class `javax.activation.DataHandler`

### getBean

    public java.lang.Object getBean(javax.activation.CommandInfo paramCommandInfo)

  Overrides:
    `getBean` in class `javax.activation.DataHandler`

### getCommand

    public javax.activation.CommandInfo getCommand(java.lang.String paramString)

  Overrides:
    `getCommand` in class `javax.activation.DataHandler`

### getContent

    public java.lang.Object getContent()
                                throws java.io.IOException

  Overrides:
    `getContent` in class `javax.activation.DataHandler`
  Throws:
    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  Overrides:
    `getContentType` in class `javax.activation.DataHandler`

### getDataSource

    public javax.activation.DataSource getDataSource()

  Overrides:
    `getDataSource` in class `javax.activation.DataHandler`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `javax.activation.DataHandler`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `javax.activation.DataHandler`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Overrides:
    `getOutputStream` in class `javax.activation.DataHandler`
  Throws:
    `java.io.IOException`

### getPreferredCommands

    public javax.activation.CommandInfo[] getPreferredCommands()

  Overrides:
    `getPreferredCommands` in class `javax.activation.DataHandler`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor paramDataFlavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Overrides:
    `getTransferData` in class `javax.activation.DataHandler`
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`
  Overrides:
    `getTransferDataFlavors` in class `javax.activation.DataHandler`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor paramDataFlavor)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`
  Overrides:
    `isDataFlavorSupported` in class `javax.activation.DataHandler`

### setCommandMap

    public void setCommandMap(javax.activation.CommandMap paramCommandMap)

  Overrides:
    `setCommandMap` in class `javax.activation.DataHandler`

### writeTo

    public void writeTo(java.io.OutputStream paramOutputStream)
                 throws java.io.IOException

  Overrides:
    `writeTo` in class `javax.activation.DataHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.